id: mismatched-ssl-certificate

info:
  name: Mismatched SSL Certificate
  author: pdteam
  severity: low
  description: |
    Mismatched certificates occur when there is inconsistency between the common name to which the certificate was issued and the domain name in the URL. This issue impacts the trust value of the affected website.
  reference:
    - https://www.invicti.com/web-vulnerability-scanner/vulnerabilities/ssl-certificate-name-hostname-mismatch/
  metadata:
    max-request: 1
  tags: ssl,tls,mismatched
ssl:
  - address: "{{Host}}:{{Port}}"
    matchers:
      - type: dsl
        dsl:
          - "mismatched == true"
          - "ip != host"
        condition: and

    extractors:
      - type: dsl
        dsl:
          - '"CN: " + subject_cn'
# digest: 490a0046304402207ea2a073d16d46eded95b5ad1f8d9d3021f57effc6302c727e60f374a43d21fd022024d1e01ec62f8f0510f8a2726c19dd0fcfa207f6d7ce26d15034753c2033ac40:922c64590222798bb761d5b6d8e72950